org.apache.tinkerpop.gremlin.driver.handler

## Class WebSocketClientHandler

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.driver.handler.WebSocketClientHandler

-     public final class WebSocketClientHandler
      extends <any>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketClientHandler(WebSocketClientHandshaker handshaker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelActive(ChannelHandlerContext ctx)`
    `void` | `channelInactive(ChannelHandlerContext ctx)`
    `protected void` | `channelRead0(ChannelHandlerContext ctx, Object msg)`
    `void` | `exceptionCaught(ChannelHandlerContext ctx, Throwable cause)`
    `void` | `handlerAdded(ChannelHandlerContext ctx)`
    `ChannelFuture` | `handshakeFuture()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSocketClientHandler

          public WebSocketClientHandler(WebSocketClientHandshaker handshaker)

  - ### Method Detail

    - #### handshakeFuture

          public ChannelFuture handshakeFuture()

    - #### handlerAdded

          public void handlerAdded(ChannelHandlerContext ctx)
                            throws Exception

      Throws:
        `Exception`

    - #### channelActive

          public void channelActive(ChannelHandlerContext ctx)
                             throws Exception

      Throws:
        `Exception`

    - #### channelInactive

          public void channelInactive(ChannelHandlerContext ctx)
                               throws Exception

      Throws:
        `Exception`

    - #### channelRead0

          protected void channelRead0(ChannelHandlerContext ctx,
                                      Object msg)
                               throws Exception

      Throws:
        `Exception`

    - #### exceptionCaught

          public void exceptionCaught(ChannelHandlerContext ctx,
                                      Throwable cause)
                               throws Exception

      Throws:
        `Exception`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.